# Uses of Class
java.awt.Frame

Packages that use Frame
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of Frame in java.awt

Methods in java.awt that return Frame
Modifier and Type
Method
Description
`static Frame[]`
Frame.`getFrames()`
Returns an array of all `Frame`s created by this application.
Methods in java.awt with parameters of type Frame
Modifier and Type
Method
Description
`PrintJob`
Toolkit.`getPrintJob​(Frame frame, String jobtitle, JobAttributes jobAttributes, PageAttributes pageAttributes)`
Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.
`abstract PrintJob`
Toolkit.`getPrintJob​(Frame frame, String jobtitle, Properties props)`
Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.
Constructors in java.awt with parameters of type Frame
Modifier
Constructor
Description
``
`Dialog​(Frame owner)`
Constructs an initially invisible, modeless `Dialog` with the specified owner `Frame` and an empty title.
``
`Dialog​(Frame owner, boolean modal)`
Constructs an initially invisible `Dialog` with the specified owner `Frame` and modality and an empty title.
``
`Dialog​(Frame owner, String title)`
Constructs an initially invisible, modeless `Dialog` with the specified owner `Frame` and title.
``
`Dialog​(Frame owner, String title, boolean modal)`
Constructs an initially invisible `Dialog` with the specified owner `Frame`, title and modality.
``
`Dialog​(Frame owner, String title, boolean modal, GraphicsConfiguration gc)`
Constructs an initially invisible `Dialog` with the specified owner `Frame`, title, modality, and `GraphicsConfiguration`.
``
`FileDialog​(Frame parent)`
Creates a file dialog for loading a file.
``
`FileDialog​(Frame parent, String title)`
Creates a file dialog window with the specified title for loading a file.
``
`FileDialog​(Frame parent, String title, int mode)`
Creates a file dialog window with the specified title for loading or saving a file.
``
`Window​(Frame owner)`
Constructs a new, initially invisible window with the specified `Frame` as its owner.

## Uses of Frame in javax.swing

Subclasses of Frame in javax.swing
Modifier and Type
Class
Description
`class`
`JFrame`
An extended version of `java.awt.Frame` that adds support for the JFC/Swing component architecture.
Methods in javax.swing that return Frame
Modifier and Type
Method
Description
`static Frame`
JOptionPane.`getFrameForComponent​(Component parentComponent)`
Returns the specified component's `Frame`.
`static Frame`
JOptionPane.`getRootFrame()`
Returns the `Frame` to use for the class methods in which a frame is not provided.
Methods in javax.swing with parameters of type Frame
Modifier and Type
Method
Description
`static void`
JOptionPane.`setRootFrame​(Frame newRootFrame)`
Sets the frame to use for class methods in which a frame is not provided.
Constructors in javax.swing with parameters of type Frame
Modifier
Constructor
Description
``
`JDialog​(Frame owner)`
Creates a modeless dialog with the specified `Frame` as its owner and an empty title.
``
`JDialog​(Frame owner, boolean modal)`
Creates a dialog with an empty title and the specified modality and `Frame` as its owner.
``
`JDialog​(Frame owner, String title)`
Creates a modeless dialog with the specified title and with the specified owner frame.
``
`JDialog​(Frame owner, String title, boolean modal)`
Creates a dialog with the specified title, owner `Frame` and modality.
``
`JDialog​(Frame owner, String title, boolean modal, GraphicsConfiguration gc)`
Creates a dialog with the specified title, owner `Frame`, modality and `GraphicsConfiguration`.
``
`JWindow​(Frame owner)`
Creates a window with the specified owner frame.